#pragma once

#include <soloud.h>
#include <soloud_wav.h>
#include <soloud_wavstream.h>

class Sound
{
private:
    SoLoud::Soloud engine;
    SoLoud::Wav hitEffect;
    SoLoud::WavStream music;
public:

    Sound();
    ~Sound();

    SoLoud::Soloud *getEngine();

    void PlayHit();
};
